<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence de la structure automate_cell</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure automate_cell</div>  </div>
</div><!--header-->
<div class="contents">

<p>Un automate cellulaire.  
 <a href="structautomate__cell.html#details">Plus de détails...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:aae7e723d96c29e9bbfc2c8f95886e85a"><td class="memItemLeft" align="right" valign="top">ptr_str_fc&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structautomate__cell.html#aae7e723d96c29e9bbfc2c8f95886e85a">f_config</a></td></tr>
<tr class="separator:aae7e723d96c29e9bbfc2c8f95886e85a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af27fecd3605ba100ac4c2a0b63aafab4"><td class="memItemLeft" align="right" valign="top">ptr_str_regle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structautomate__cell.html#af27fecd3605ba100ac4c2a0b63aafab4">regle</a></td></tr>
<tr class="separator:af27fecd3605ba100ac4c2a0b63aafab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad49bf24c5f929d1ed8e22fee5935834b"><td class="memItemLeft" align="right" valign="top">int **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structautomate__cell.html#ad49bf24c5f929d1ed8e22fee5935834b">tab</a></td></tr>
<tr class="separator:ad49bf24c5f929d1ed8e22fee5935834b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Un automate cellulaire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">regle</td><td>Numero de la regle </td></tr>
    <tr><td class="paramname">nb_ite</td><td>Nombre d'iteration </td></tr>
    <tr><td class="paramname">taille</td><td>La largeur maximale de l'automate </td></tr>
    <tr><td class="paramname">tab</td><td>le tableau contenant les états de chaque iteration</td></tr>
  </table>
  </dd>
</dl>
<p>L'automate cellulaire contient le numero de la regle, le nombre d'iterations, une taille en largeur et un tableau contenant les états de chaque iteration. </p>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00032">32</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
</div><h2 class="groupheader">Documentation des champs</h2>
<a id="aae7e723d96c29e9bbfc2c8f95886e85a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae7e723d96c29e9bbfc2c8f95886e85a">&#9670;&nbsp;</a></span>f_config</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_fc f_config</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00033">33</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>

</div>
</div>
<a id="af27fecd3605ba100ac4c2a0b63aafab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af27fecd3605ba100ac4c2a0b63aafab4">&#9670;&nbsp;</a></span>regle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_regle <a class="el" href="structregle.html">regle</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00034">34</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>

</div>
</div>
<a id="ad49bf24c5f929d1ed8e22fee5935834b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad49bf24c5f929d1ed8e22fee5935834b">&#9670;&nbsp;</a></span>tab</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int** tab</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00035">35</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="automate_8c_source.html">automate.c</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
